QGIS Application - Bug report #16002
Default Values "Expression dialog" evaluates valid expression as invalid
2016-12-21 02:07 PM - Andrew McAninch

Status: Closed

Priority: Normal

Assignee:

Category: Unknown

Affected QGIS version:2.18.0 Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 23918
Description

I'm using QGIS 2.18.2-nightly on windows. | am using the refFunctions plugin to set the default value from an intersecting feature in
another layer. If | enter the function in the "edit widget properties” dialog everything works as expected and | get a valid preview.
However, If | open the expression widget to build an expression it evaluates the expression as invalid.

Eval Error: "NoneType' object has no attribute 'intersects

The field calculator does not evaluate the same expression as invalid.

History

#1 - 2016-12-21 08:17 PM - Andrew McAninch
- Status changed from Open to Closed

| realized that this is probably a plugin bug so Im closing this.

#2 - 2017-09-22 09:54 AM - Jiirgen Fischer

- Category set to Unknown
